class orderDashboardResponse {
  Ordergain? ordergain;
  Ordergain? dispatches;
  Ordergain? pendingTasks;
  Ordergain? quote;
  String? error;
  String? message;

  orderDashboardResponse(
      {this.ordergain,
        this.dispatches,
        this.pendingTasks,
        this.quote,
        this.error,
        this.message});

  orderDashboardResponse.fromJson(Map<String, dynamic> json) {
    ordergain = json['ordergain'] != null
        ? new Ordergain.fromJson(json['ordergain'])
        : null;
    dispatches = json['dispatches'] != null
        ? new Ordergain.fromJson(json['dispatches'])
        : null;
    pendingTasks = json['pending_tasks'] != null
        ? new Ordergain.fromJson(json['pending_tasks'])
        : null;
    quote =
    json['quote'] != null ? new Ordergain.fromJson(json['quote']) : null;
    error = json['error'];
    message = json['message'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.ordergain != null) {
      data['ordergain'] = this.ordergain!.toJson();
    }
    if (this.dispatches != null) {
      data['dispatches'] = this.dispatches!.toJson();
    }
    if (this.pendingTasks != null) {
      data['pending_tasks'] = this.pendingTasks!.toJson();
    }
    if (this.quote != null) {
      data['quote'] = this.quote!.toJson();
    }
    data['error'] = this.error;
    data['message'] = this.message;
    return data;
  }
}

class Ordergain {
  String? count;
  Filter? filter;

  Ordergain({this.count, this.filter});

  Ordergain.fromJson(Map<String, dynamic> json) {
    count = json['count'];
    filter =
    json['filter'] != null ? new Filter.fromJson(json['filter']) : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['count'] = this.count;
    if (this.filter != null) {
      data['filter'] = this.filter!.toJson();
    }
    return data;
  }
}

class Filter {
  String? id;
  String? pageName;
  String? mode;
  String? openStatus;
  String? status;

  Filter({this.id, this.pageName, this.mode, this.openStatus, this.status});

  Filter.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    pageName = json['page_name'];
    mode = json['mode'];
    openStatus = json['open_status'];
    status = json['status'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['page_name'] = this.pageName;
    data['mode'] = this.mode;
    data['open_status'] = this.openStatus;
    data['status'] = this.status;
    return data;
  }
}
